Page MenuHomePhabricator

Special:UnconnectedPages on en.wiki lists very stale connected pages
Open, Needs TriagePublic

Description

Special:UnconnectedPages on en.wiki - https://en.wikipedia.org/wiki/Special:UnconnectedPages?limit=500&namespace=0 - describes its purpose as "This page lists pages with no connected data item", but in fact lists en.wiki pages that do have wikidata items.

By way of example, at the time of writing - 00:32 26January 2019, Special:UnconnectedPages is listing https://en.wikipedia.org/wiki/River_Cottage_Spring which was linked to a wikidata item https://www.wikidata.org/wiki/Q60739876 at 14:15, 21 January 2019 - which is to say it is listing a page that was linked 4.5 days ago.

BDD
As an en.wikipedia user I expect that when I click on Special:UnconnectedPages the application returns a list of en.wikipedia article pages that are unconnected to Wikidata.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2019, 12:39 AM

IIRC, UnconnectedPages is a QueryPage which means it caches results. I need to dig deeper here.

I was wrong, the result of UnconnectedPages is not cached (it should be, but that's another story). I can't reproduce the issue as there's nothing connected in the top ten but the reason can be because page_props table didn't get updated as it needs ParserCache purge to get updated. We can't do much about that and it's sorta by design to avoid performance degradation.

Related to T233520 but the timeline doesn't quite line up, so I might leave this open for now...

jeblad added a subscriber: jeblad.EditedFeb 25 2020, 2:35 PM

It is similar to the item structure occasionally gets out of sync between client and repo. A null-edit will fix the problem, but that should not be necessary. The bug is pretty old, not sure when it was first spotted. It might have been several bugs with the same behavior.

See for example T55562, which is tagged as “resolved”, but have never been properly “resolved — it is just closed. Still note that this is for a previous version of the special page, so I strongly believe this is a bug outside the page itself.